
QGIS Application - Bug report #16956

Menus are inactive on startup

2017-08-02 06:04 PM - Chris Haynes

Status: Closed

Priority: Normal

Assignee:

Category: Actions

Affected QGIS version:2.14.11 Regression?: No

Operating System: Ubuntu 16.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24855

Description

Installed QGIS from Ubuntu repository using sudo apt-get install qgis

App starts by giving warnings...

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_GB]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_GB]

Warning: QGraphicsScene::addItem: item has already been added to this scene

QGIS window opens OK, but menu items (Project, Edit, etc.) do not drop down - neither with mouse click nor with Alt-E etc.

Clicking on tool buttons works OK.

History

#1 - 2017-08-02 06:14 PM - Chris Haynes

Update:

On single click on menu item, it gets a white background. In this state the tool tips on the tool buttons no longer show.

A second click on a menu item (or pressing the Esc key) removes the white background and re-enables the tool tips on the tool buttons.

Looks like the drop-down menu item lists are modal and simply not showing.

#2 - 2017-08-02 06:42 PM - Chris Haynes

Update 2:

Uninstalled + purged 2.8.6 and associated packages.

Added following to sources.list:

deb http://qgis.org/ubuntugis xenial main

deb-src http://qgis.org/ubuntugis xenial main

deb http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu xenial main

Installed 2.14.11  using sudo apt-get install qgis python-qgis

Now get more warnings:

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_GB]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_GB]
Warning: QCss::Parser - Failed to load file  "/style.qss" 

QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: No such file or directory

Warning: QFileSystemWatcher: failed to add paths: /home/admin/.qgis2//project_templates

Warning: QMetaObject::connectSlotsByName: No matching signal for on_wvDetails_linkClicked(QUrl)

and exactly same lack of menus bug.

#3 - 2017-08-02 10:40 PM - Giovanni Manghi

and exactly same lack of menus bug.

seems very much a local issue. Many of us work on Ubuntu and this seems the first report of such thing, if I recall correctly.

#4 - 2017-08-02 10:40 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Affected QGIS version changed from 2.8.6 to 2.14.11

#5 - 2017-08-03 12:09 AM - Chris Haynes

I'm wondering if I have problems with python versions clashing.

Does QGIS use / depend on python to display menus?

#6 - 2017-08-03 12:15 AM - Chris Haynes

I just tried opening an existing project on a different server (accessed via SFTP and built using QGIS Essen on Windows).

I got the following error message - does it help?

--------------------------

An error occurred during execution of following code:

sys.path.append(u'/run/user/1001/gvfs/sftp:host=john,user=admin/Haynes/Harvington Neighbourhood Plan/GIS/Land Use Policy')

Traceback (most recent call last):

  File "", line 1, in 

KeyboardInterrupt

Python version:

2.7.12 (default, Nov 19 2016, 06:48:10) 

[GCC 5.4.0 20160609]

QGIS version:

2.14.11-Essen 'Essen', exported

Python path:

['/usr/share/qgis/python/plugins/processing', '/usr/share/qgis/python', u'/home/admin/.qgis2/python', u'/home/admin/.qgis2/python/plugins',

'/usr/share/qgis/python/plugins', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-x86_64-linux-gnu', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old',

'/usr/lib/python2.7/lib-dynload', '/usr/local/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PILcompat',

'/usr/lib/python2.7/dist-packages/gtk-2.0', u'/home/admin/.qgis2//python', '/usr/share/qgis/python/plugins/fTools/tools']

--------------------
I then have a displayed map, with a (correct) warning that it was saved by an older version of QGIS.

#7 - 2017-09-25 04:35 PM - Giovanni Manghi

- Status changed from Feedback to Open

#8 - 2018-02-07 03:17 PM - Karl Kastner

I can confirm this bug on Ubuntu 17.10 artful. It persists at least for a year and is really annoying. As infrequent user I feel like an illiterate monkey trying one

icon after the other to find the tool I want.

Qquis tries to load /usr/share/qgis/i18n//qgis_en_US, however this folder does not exist in the unbuntu package:

Starting program: /usr/bin/qgis.bin 

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

dpkg -S  /usr/share/qgis/i18n/

qgis-common: /usr/share/qgis/i18n

dpkg -L qgis-common | grep i18n

/usr/share/qgis/i18n

/usr/share/qgis/i18n/qgis_ar.qm

...

/usr/share/qgis/i18n/qgis_zh-Hant.qm

#9 - 2018-02-07 03:39 PM - Karl Kastner

Workaround: Settings -> Options -> Application -> Style -> change Plastique into GTK+

So this seems to be two rather than one bug, one that causes the locale fail to load and default to C and one that causes the hover-menu not to be

displayed correctly.

#10 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4
Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

2025-05-18 4/4


